Validate an intent audience config
curl --request POST \
--url https://api.aws53.cloud/v1/intent/audiences/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"topicIds": [
502909,
502955
],
"minScore": 50,
"maxScore": 99,
"minTopicOverlap": 1,
"filters": {
"role": {
"isDecisionMaker": true
},
"contact": {
"hasBusinessEmail": true
},
"jobTitle": {
"include": [
"chief financial officer",
"cfo"
],
"includeMode": "any"
}
},
"sourceUrl": "https://example.com"
}
'import requests
url = "https://api.aws53.cloud/v1/intent/audiences/validate"
payload = {
"topicIds": [502909, 502955],
"minScore": 50,
"maxScore": 99,
"minTopicOverlap": 1,
"filters": {
"role": { "isDecisionMaker": True },
"contact": { "hasBusinessEmail": True },
"jobTitle": {
"include": ["chief financial officer", "cfo"],
"includeMode": "any"
}
},
"sourceUrl": "https://example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topicIds: [502909, 502955],
minScore: 50,
maxScore: 99,
minTopicOverlap: 1,
filters: {
role: {isDecisionMaker: true},
contact: {hasBusinessEmail: true},
jobTitle: {include: ['chief financial officer', 'cfo'], includeMode: 'any'}
},
sourceUrl: 'https://example.com'
})
};
fetch('https://api.aws53.cloud/v1/intent/audiences/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"valid": true,
"configHash": "<string>",
"normalizedConfig": {
"topicIds": [
123
],
"minScore": 49,
"maxScore": 99,
"minTopicOverlap": 1,
"filters": {},
"sourceUrl": "<string>",
"topics": [
{
"topicId": 123,
"topicName": "<string>",
"type": "<string>",
"industry": "<string>",
"category": "<string>"
}
]
},
"appliedFilters": [
"<string>"
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}Audience builder
Validate an intent audience config
POST
/
v1
/
intent
/
audiences
/
validate
Validate an intent audience config
Authorizations
bearerAuthapiKeyAuth
Dashboard access token. Send as Authorization: Bearer .
Body
application/json
Required array length:
1 - 250 elementsExample:
[502909, 502955]
perc_score minimum. Values below 50 are accepted and clamped to 50.
Required range:
0 <= x <= 99Example:
50
Required range:
50 <= x <= 99Example:
99
Required range:
1 <= x <= 250Example:
1
Show child attributes
Show child attributes
Example:
{
"role": { "isDecisionMaker": true },
"contact": { "hasBusinessEmail": true },
"jobTitle": {
"include": ["chief financial officer", "cfo"],
"includeMode": "any"
}
}
Example:
"https://example.com"
Was this page helpful?
⌘I